package com.css.simulation.resource.util;

import api.common.util.CollectionUtil;
import com.css.simulation.resource.scene.mapper.ScoringRulesMapper;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;
import java.util.List;

/**
 * 任务结果打分
 */
@Component
@Slf4j
public class ScenePackageUtil {

    @Resource
    private ScoringRulesMapper scoringRulesMapper;

    public void checkRules(String scenePackageId){
        final List<String> ruleIds = scoringRulesMapper.selectDeletedRulesByPackageId(scenePackageId);
        if (CollectionUtil.isNotEmpty(ruleIds)) {
            final List<String> ruleNames = scoringRulesMapper.selectRuleNamesByRuleIds(ruleIds);
            throw new RuntimeException("场景测试包存在已被删除的评分规则：" + ruleNames);
        }
    }
}
